org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionKMap

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelKMapCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionKMap

    public class EditorCriterionKMap
    extends EditorCriterion<ModelKMapCriterion>

A view on a k-map criterion.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionKMap(org.eclipse.swt.widgets.Composite parent, ModelKMapCriterion model)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionKMap

    public EditorCriterionKMap(org.eclipse.swt.widgets.Composite parent,
                               ModelKMapCriterion model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -